OpenMPI 0.1.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Data Fields
evbuffer_chain Struct Reference

A single item in an evbuffer. More...

`#include <evbuffer-internal.h>`

## Data Fields
struct evbuffer_chain * | next
| points to next buffer in the chain
size_t | buffer_len
| total allocation available in the buffer field. More...
ev_off_t | misalign
| unused space at the beginning of buffer or an offset into a file for sendfile buffers. More...
size_t | off
| Offset into buffer + misalign at which to start writing. More...
unsigned | flags
| Set if special handling is required for this chain.
unsigned char * | buffer
| Usually points to the read-write memory belonging to this buffer allocated as part of the evbuffer_chain allocation. More...

## Detailed Description

A single item in an evbuffer.

## Field Documentation

unsigned char* evbuffer_chain::buffer

Usually points to the read-write memory belonging to this buffer allocated as part of the evbuffer_chain allocation.

For mmap, this can be a read-only buffer and EVBUFFER_IMMUTABLE will be set in flags. For sendfile, it may point to NULL.

Referenced by evbuffer_add(), evbuffer_add_file(), evbuffer_add_reference(), evbuffer_add_vprintf(), evbuffer_copyout(), evbuffer_peek(), evbuffer_prepend(), evbuffer_pullup(), evbuffer_read(), evbuffer_remove_buffer(), and evbuffer_search_range().

size_t evbuffer_chain::buffer_len

total allocation available in the buffer field.

Referenced by evbuffer_add(), evbuffer_add_file(), evbuffer_add_reference(), evbuffer_add_vprintf(), evbuffer_prepend(), and evbuffer_pullup().

ev_off_t evbuffer_chain::misalign

unused space at the beginning of buffer or an offset into a file for sendfile buffers.

Referenced by evbuffer_add(), evbuffer_add_file(), evbuffer_add_vprintf(), evbuffer_copyout(), evbuffer_drain(), evbuffer_peek(), evbuffer_prepend(), evbuffer_pullup(), evbuffer_read(), evbuffer_remove_buffer(), and evbuffer_search_range().

size_t evbuffer_chain::off

Offset into buffer + misalign at which to start writing.

In other words, the total number of bytes actually stored in buffer.

Referenced by evbuffer_add(), evbuffer_add_file(), evbuffer_add_reference(), evbuffer_add_vprintf(), evbuffer_commit_space(), evbuffer_copyout(), evbuffer_drain(), evbuffer_get_contiguous_space(), evbuffer_peek(), evbuffer_prepend(), evbuffer_ptr_set(), evbuffer_pullup(), evbuffer_read(), evbuffer_remove_buffer(), and evbuffer_search_range().

The documentation for this struct was generated from the following file:

- opal/mca/event/libevent2013/libevent/evbuffer-internal.h